//
//  LJColumnViewController.m
//  LJChartViewDemo
//
//  Created by liujun on 2018/4/20.
//  Copyright © 2018年 liujun. All rights reserved.
//

#import "LJColumnViewController.h"
#import "LJColumnChartView.h"

@interface LJColumnViewController ()

@end

@implementation LJColumnViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    [self drawColumn];
}

// 绘制柱形
- (void)drawColumn {
    LJColumnChartView *chartView = [[LJColumnChartView alloc] initWithFrame:CGRectMake(10, 100, 300, 300)];
    NSArray *dataArray = [NSMutableArray arrayWithArray:@[@100, @50, @200, @10, @150]];
    chartView.center = self.view.center;
    NSMutableArray *columnChartItems = [[NSMutableArray alloc] init];
    for (NSInteger i = 0; i < dataArray.count; i++) {
        LJColumnChartItem *item = [[LJColumnChartItem alloc] init];
        item.value = dataArray[i];
        item.scaleValue = @"01-19";
        [columnChartItems addObject:item];
    }
    chartView.columnChartItems = columnChartItems;
    [self.view addSubview:chartView];
}

@end
