//
//  LJLineViewController.m
//  LJChartViewDemo
//
//  Created by liujun on 2018/4/20.
//  Copyright © 2018年 liujun. All rights reserved.
//

#import "LJLineViewController.h"
#import "LJLineChartView.h"

@interface LJLineViewController ()

@end

@implementation LJLineViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    [self drawLine];
}

// 绘制折线
- (void)drawLine {
    LJLineChartView *testView = [[LJLineChartView alloc] initWithFrame:CGRectMake(10, 100, 300, 300)];
    testView.center = self.view.center;
    testView.dataArray = @[@[@-100, @10, @350, @250, @200], @[@(0.007), @(0.017), @(0.008), @(0.127), @(0.018)]];
    testView.colors = @[[UIColor redColor], [UIColor purpleColor]];
    testView.xAxisScaleValues = @[@"10-10" , @"10-11"];
    testView.showRightYAxisScale = YES;
    testView.indexInDataArray = 1;
    [self.view addSubview:testView];
}

@end
