//
//  LJRingViewController.m
//  LJChartViewDemo
//
//  Created by liujun on 2018/4/20.
//  Copyright © 2018年 liujun. All rights reserved.
//

#import "LJRingViewController.h"
#import "LJRingChartView.h"

@interface LJRingViewController ()

@end

@implementation LJRingViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    [self drawRing];
}

// 绘制环形
- (void)drawRing {
    LJRingChartView *ringView = [[LJRingChartView alloc] initWithFrame:CGRectMake(0, 100, 300, 300)];
    ringView.center = self.view.center;
    NSMutableArray *chartItems = [[NSMutableArray alloc] init];
    NSArray *colors = @[[UIColor redColor], [UIColor cyanColor], [UIColor yellowColor]];
    ringView.contentLabel.text = @"这是环形";
    for (NSInteger i = 0; i < colors.count; i++) {
        LJChartItem *item = [[LJChartItem alloc] init];
        item.value = @50;
        item.color = colors[i];
        [chartItems addObject:item];
    }
    ringView.chartItems = chartItems;
    //    ringView.ringMargin = 10;
    //    ringView.innerRingWidth = 10;
    //    ringView.outerRingWidth = 60;
    //    ringView.dotMargin = 0;
    //    //    ringView.hideDot = YES;
    //    //    ringView.animate = NO;
    //    ringView.dotSize = CGSizeMake(10, 10);
    [self.view addSubview:ringView];
}

@end
